AllegroGL: Data Fields

Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:

### - a -

- AGL_ACC_ALPHA_DEPTH : alleggl.h
- AGL_ACC_BLUE_DEPTH : alleggl.h
- AGL_ACC_GREEN_DEPTH : alleggl.h
- AGL_ACC_RED_DEPTH : alleggl.h
- AGL_ALLEGRO_FORMAT : alleggl.h
- AGL_ALPHA_DEPTH : alleggl.h
- AGL_AUX_BUFFERS : alleggl.h
- AGL_BLUE_DEPTH : alleggl.h
- AGL_COLOR_DEPTH : alleggl.h
- AGL_DEFINE_PROC_TYPE : alleggl.h
- AGL_DONTCARE : alleggl.h
- AGL_DOUBLEBUFFER : alleggl.h
- agl_extension_table : glext.c
- AGL_FLOAT_COLOR : alleggl.h
- AGL_FLOAT_Z : alleggl.h
- AGL_FONT_LINES : alleggl.h
- AGL_FONT_POLYGONS : alleggl.h
- AGL_FONT_STYLE_ANTI_ALIASED : alleggl.h
- AGL_FONT_STYLE_BLACK : alleggl.h
- AGL_FONT_STYLE_BOLD : alleggl.h
- AGL_FONT_STYLE_ITALIC : alleggl.h
- AGL_FONT_STYLE_STRIKEOUT : alleggl.h
- AGL_FONT_STYLE_UNDERLINE : alleggl.h
- AGL_FONT_TYPE_BITMAP : alleggl.h
- AGL_FONT_TYPE_DONT_CARE : alleggl.h
- AGL_FONT_TYPE_OUTLINE : alleggl.h
- AGL_FONT_TYPE_TEXTURED : alleggl.h
- AGL_FULLSCREEN : alleggl.h
- AGL_GREEN_DEPTH : alleggl.h
- AGL_KEEP : alleggl.h
- AGL_RED_DEPTH : alleggl.h
- AGL_RELEASE : alleggl.h
- AGL_RENDERMETHOD : alleggl.h
- AGL_REQUIRE : alleggl.h
- AGL_SAMPLE_BUFFERS : alleggl.h
- AGL_SAMPLES : alleggl.h
- AGL_STENCIL_DEPTH : alleggl.h
- AGL_STEREO : alleggl.h
- AGL_SUB_VERSION : alleggl.h
- AGL_SUGGEST : alleggl.h
- AGL_TEXTURE_ALPHA_ONLY : alleggl.h
- AGL_TEXTURE_FLIP : alleggl.h
- AGL_TEXTURE_HAS_ALPHA : alleggl.h
- AGL_TEXTURE_MASKED : alleggl.h
- AGL_TEXTURE_MIPMAP : alleggl.h
- AGL_TEXTURE_RESCALE : alleggl.h
- AGL_VERSION : alleggl.h
- AGL_VERSION_STR : alleggl.h
- AGL_VIDEO_MEMORY_POLICY : alleggl.h
- AGL_WINDOW_X : alleggl.h
- AGL_WINDOW_Y : alleggl.h
- AGL_WINDOWED : alleggl.h
- AGL_WIP_VERSION : alleggl.h
- AGL_Z_DEPTH : alleggl.h
- algl_alert() : alleggl.h
- algl_alert3() : alleggl.h
- algl_do_dialog() : alleggl.h
- algl_draw_mouse() : alleggl.h
- algl_popup_dialog() : alleggl.h
- algl_set_mouse_drawer() : alleggl.h
- allegro_gl_apply_quat() : alleggl.h
- allegro_gl_begin : alleggl.h
- allegro_gl_check_texture() : alleggl.h
- allegro_gl_check_texture_ex() : alleggl.h
- allegro_gl_clear_settings() : alleggl.h
- allegro_gl_convert_allegro_font() : alleggl.h , fontconv.c
- allegro_gl_convert_allegro_font_ex() : alleggl.h , fontconv.c
- allegro_gl_create_video_bitmap() : videovtb.c
- allegro_gl_destroy_font() : aglf.c , alleggl.h
- allegro_gl_destroy_video_bitmap() : videovtb.c
- allegro_gl_end : alleggl.h
- allegro_gl_extensions_GL : glext.c
- allegro_gl_flip() : alleggl.h , alleggl.c
- allegro_gl_flip_texture() : alleggl.h
- allegro_gl_get() : alleggl.h
- allegro_gl_get_bitmap_color_format() : alleggl.h
- allegro_gl_get_bitmap_type() : alleggl.h
- allegro_gl_get_proc_address() : glext.c
- allegro_gl_get_texture_format() : alleggl.h
- allegro_gl_GLdouble_to_MATRIX() : alleggl.h
- allegro_gl_GLdouble_to_MATRIX_f() : alleggl.h
- allegro_gl_GLfloat_to_MATRIX() : alleggl.h
- allegro_gl_GLfloat_to_MATRIX_f() : alleggl.h
- allegro_gl_is_extension_supported() : glext.c
- allegro_gl_list_font_textures() : alleggl.h , aglf.c
- allegro_gl_load_settings() : alleggl.h
- allegro_gl_load_system_font() : alleggl.h , aglf.c
- allegro_gl_load_system_font_ex() : alleggl.h , aglf.c
- allegro_gl_make_masked_texture() : alleggl.h
- allegro_gl_make_texture() : alleggl.h
- allegro_gl_make_texture_ex() : alleggl.h
- allegro_gl_MATRIX_f_to_GLdouble() : alleggl.h
- allegro_gl_MATRIX_f_to_GLfloat() : alleggl.h
- allegro_gl_MATRIX_to_GLdouble() : alleggl.h
- allegro_gl_MATRIX_to_GLfloat() : alleggl.h
- allegro_gl_opengl_version() : alleggl.c , alleggl.h
- allegro_gl_printf() : aglf.c , alleggl.h
- allegro_gl_printf_ex() : aglf.c , alleggl.h
- allegro_gl_quat_to_glrotated() : alleggl.h
- allegro_gl_quat_to_glrotatef() : alleggl.h
- allegro_gl_save_settings() : alleggl.h
- allegro_gl_screen : alleggl.c
- allegro_gl_screen_acquire() : glvtable.c
- allegro_gl_screen_release() : glvtable.c
- allegro_gl_set() : alleggl.h
- allegro_gl_set_allegro_mode() : glvtable.c , alleggl.h
- allegro_gl_set_font_generation_mode() : aglf.c , alleggl.h
- allegro_gl_set_projection() : glvtable.c , alleggl.h
- allegro_gl_set_texture_format() : alleggl.h
- allegro_gl_set_video_bitmap_color_depth() : alleggl.h
- allegro_gl_unset_allegro_mode() : alleggl.h , glvtable.c
- allegro_gl_unset_projection() : alleggl.h , glvtable.c
- allegro_gl_use_alpha_channel() : alleggl.h
- allegro_gl_use_mipmapping() : alleggl.h
- allegro_gl_video_acquire() : videovtb.c
- allegro_gl_video_release() : videovtb.c

### - d -

- d_algl_viewport_proc() : alleggl.h

### - g -

- GFX_OPENGL : alleggl.h
- GFX_OPENGL_FULLSCREEN : alleggl.h
- GFX_OPENGL_WINDOWED : alleggl.h

### - i -

- install_allegro_gl() : alleggl.h , alleggl.c

### - r -

- remove_allegro_gl() : alleggl.h , alleggl.c